Skip to content
PUT/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/renditions/{rendition_type}
NameDescription
Content-Typemultipart/form-data
Acceptapplication/json (default) or application/xml
NameDescription
{doc_id}The document id field value.
{major_version}The document major_version_number__v field value.
{minor_version}The document minor_version_number__v field value.
{rendition_type}The document rendition type.

To upload the file, use the multi-part attachment with the file component "file={file_name}". The maximum allowed file size is 4GB.

curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: multipart/form-data" \ -F "file=CholeCap-Document.pdf" \ https://myvault.veevavault.com/api/v24.1/objects/documents/534/versions/2/0/renditions/imported_rendition__c
{ "responseStatus": "SUCCESS" }

On SUCCESS, Vault replaces the rendition of the given type for the specified version of the document.